package com.ningdatech.carapi.analysis.entity.dto;

import java.math.BigDecimal;

import lombok.Data;

/**
 * @author CMM
 * @description
 * @since 2022/11/16 17:01
 */
@Data
public class OutDangerImportDto {
    /**
     * 序号
     */
    private Integer id;

    /**
     * 所属区域
     */
    private String regionName;

    /**
     * 车牌号
     */
    private String carNo;

    /**
     * 保险公司
     */
    private String insureCompany;

    /**
     * 企业名称
     */
    private String companyName;


    /**
     * 事故地点
     */
    private String accidentAddress;

    /**
     * 事故时间
     */
    private String accidentTime;

    /**
     * 受伤人数
     */
    private Integer injuries;

    /**
     * 死亡人数
     */
    private Integer deathToll;

    /**
     * 理赔金额
     */
    private BigDecimal compensateAmount;
}
