package com.ningdatech.carapi.analysis.entity.dto;

import lombok.Data;

/**
 * <p>
 * VehicleViolationImportDto
 * </p>
 *
 * @author WendyYang
 * @since 11:17 2022/10/17
 */
@Data
public class VehicleViolationImportDto {

    /**
     * 序号
     */
    private Integer id;

    /**
     * 城市
     */
    private String city;

    /**
     * 区（县）
     */
    private String zone;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 车牌号
     */
    private String carNo;

    /**
     * 车架号
     */
    private String chassisNumber;

    /**
     * 行驶里程
     */
    private Integer mileage;

    /**
     * 累计违章次数
     */
    private Integer violationCount;

    /**
     * 万公里违章次数
     */
    private Integer avgViolationCount;

    /**
     * 风险评估
     */
    private String riskEvaluation;

    /**
     * 备注
     */
    private String remark;

}
