package com.ningdatech.carapi.archives.model.vo;

import com.ningdatech.carapi.driver.constant.QuestionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/10/11 下午4:30
 */
@Data
@ApiModel(description = "培训题库列表VO")
public class ResQuestionListVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("题目")
    private String question;

    @ApiModelProperty("试题类型")
    private QuestionTypeEnum questionType;

    @ApiModelProperty("选择次数")
    private Long usageCnt;

    @ApiModelProperty("制定时间")
    private LocalDateTime formulationTime;
}
