package com.ningdatech.carapi.car.equipment.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "EquipmentChannelsSaveDTO", description = "车辆设备通道")
public class EquipmentChannelsSaveDTO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 通道名称
     */
    @ApiModelProperty("通道名称")
    private String name;

    /**
     * 位置
     */
    @ApiModelProperty("位置")
    private String location;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

}
