package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专用车辆趟次记录 其它报表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@TableName("nd_rpt_other_special_trips")
@Data
@ApiModel(value = "RptOtherSpecialTrips对象", description = "专用车辆趟次记录 其它报表")
public class RptOtherSpecialTrips implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("车辆数")
    private Integer vehicleNums;

    @ApiModelProperty("趟次")
    private Long trips;

    @ApiModelProperty("区域名")
    private String regionName;
}
