package com.ningdatech.carapi.car.rpt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherOnlineVehicles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherOnlineVehiclesPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 在线车辆统计表 其它报表 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptOtherOnlineVehiclesMapper extends BaseMapper<RptOtherOnlineVehicles> {

    List<RptOtherOnlineVehiclesPO> report(@Param("param") RptOtherParamDTO param);

    Page<RptOtherOnlineVehiclesPO> reportPage(Page<RptOtherOnlineVehiclesPO> page, @Param("param") RptOtherParamDTO param);
}
