package com.ningdatech.carapi.car.rpt.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 超速企业情况月报
 * @author CMM
 * @description
 * @since 2022/12/09 17:13
 */
@Data
public class RptMonthOverspeedCompanyPO {
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("超速车辆总数")
    private Long overspeedVehicleNums;

    @ApiModelProperty("超速次数")
    private Long overspeedTimes;

    @ApiModelProperty("超速率")
    private BigDecimal overspeedRate;
}
