package com.ningdatech.carapi.car.rpt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptMonthSpecialOffline;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOfflineParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialOfflinePO;

import java.util.List;

/**
 * <p>
 * 专用车辆不上线月报 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface IRptMonthSpecialOfflineService extends IService<RptMonthSpecialOffline> {

    List<RptMonthSpecialOfflinePO> reportPage(Page<RptMonthSpecialOfflinePO> page, RptMonthSpecialOfflineParamDTO param);
}
