package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.car.rpt.entity.RptMonthOverspeedSpecialCompany;
import com.ningdatech.carapi.car.rpt.mapper.RptMonthOverspeedSpecialCompanyMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOverspeedCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialVehiclesOverspeedPO;
import com.ningdatech.carapi.car.rpt.service.IRptMonthOverspeedSpecialCompanyService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆超速企业情况月报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptMonthOverspeedSpecialCompanyServiceImpl extends ServiceImpl<RptMonthOverspeedSpecialCompanyMapper, RptMonthOverspeedSpecialCompany> implements IRptMonthOverspeedSpecialCompanyService {

    private final RptMonthOverspeedSpecialCompanyMapper mapper;

    @Override
    public List<RptMonthSpecialVehiclesOverspeedPO> report(RptMonthSpecialOverspeedCompanyParamDTO param) {
        return mapper.report(param);
    }
}
