package com.ningdatech.carapi.car.rpt.service.impl;

import com.ningdatech.carapi.car.rpt.entity.RptTendaysSpecialOverspeedCompany;
import com.ningdatech.carapi.car.rpt.mapper.RptTendaysSpecialOverspeedCompanyMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptTendaysOverspeedSpecialCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptTendaysSpecialOverspeedCompanyPO;
import com.ningdatech.carapi.car.rpt.service.IRptTendaysSpecialOverspeedCompanyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆超速企业情况旬报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptTendaysSpecialOverspeedCompanyServiceImpl extends ServiceImpl<RptTendaysSpecialOverspeedCompanyMapper, RptTendaysSpecialOverspeedCompany> implements IRptTendaysSpecialOverspeedCompanyService {

    private final RptTendaysSpecialOverspeedCompanyMapper mapper;

    @Override
    @XmlDataScope
    public List<RptTendaysSpecialOverspeedCompanyPO> report(RptTendaysOverspeedSpecialCompanyParamDTO param) {
        return mapper.report(param);
    }
}
