package com.ningdatech.carapi.company.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyCreditLevel;
import com.ningdatech.carapi.company.entity.dto.CompanyCreditLevelPageParam;
import com.ningdatech.carapi.company.service.INdCompanyCreditLevelService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 信用等级 前端控制器
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/company-credit-level")
public class NdCompanyCreditLevelController {
    private final INdCompanyCreditLevelService iNdCompanyCreditLevelService;

    @GetMapping
    private Page<NdCompanyCreditLevel> getCreditLevelList(@ModelAttribute CompanyCreditLevelPageParam param) {
        return iNdCompanyCreditLevelService.getCreditLevelList(param);
    }

}
