package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 质量通报
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_quality_manage")
@Data
public class NdCompanyQualityManage implements Serializable {

    private static final long serialVersionUID = 7983510778303663592L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 区域id
     */
    private Long regionId;

    private Long companyId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 通报年月
     */
    private Timestamp fileTime;

    /**
     * 文件地址
     */
    private String filePath;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 下载次数
     */
    private Integer downloadCount;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private Timestamp createOn;

    /**
     * 更新时间
     */
    private Timestamp updateOn;
}
