package com.ningdatech.carapi.company.entity.dto;

import lombok.Data;

/**
 * @description: 生成责任体系请求
 * @author: liushuai
 * @date: 2022/10/11 14:55
 */
@Data
public class ReqSecurityProductDutyDTO {
    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 企业id
     */
    private Long companyId;

    /**
     * 文件地址
     */
    private String filePath;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 安全生产责任质量通报文件类型
     */
    private Integer fileType;
}
