package com.ningdatech.carapi.company.entity.dto;

import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.Data;

/**
 * @description: 企业详情
 * @author: liushuai
 * @date: 2022/10/26 08:44
 */
@Data
public class ResCompanyArchivesDTO {
    @ExcelProperty("id")
    private Long id;
    @ExcelProperty("企业名称")
    private String name;
    @ExcelProperty("区域ID")
    private Long regionId;
    @ExcelProperty("区域名")
    private String regionName;
    @ExcelProperty("企业简称")
    private String sortName;
    @ExcelProperty("企业地址")
    private String address;
    @ExcelProperty("企业类型")
    private String carCompanyType;
    @ExcelProperty("法人姓名")
    private String legalPerson;
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;
    @ExcelProperty("安全培训人数")
    private Long securityDrillPerson;
    @ExcelProperty("培训合格证数")
    private Long drillPassCount;
    @ExcelProperty("企业风险等级")
    private String dangerLevel;
    @ExcelProperty("企业风险名称")
    private String dangerLevelName;

}
