package com.ningdatech.carapi.company.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * ComSecProExeVO
 * @return
 * @author CMM
 * @since 2023/05/24 21:56
 */
@Data
@ApiModel(value = "ComSecProExeVO", description = "企业安全生产制度执行通报列表VO")
public class ComSecProExeVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("通报名称")
    private String fileName;

    @ApiModelProperty("通报文件ID")
    private String fileId;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;
}
