package com.ningdatech.carapi.company.entity.vo;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Classname ComSecProRegVO
 * @Description
 * @Date 2023/5/23 16:23
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ComSecProRegVO", description = "企业安全生产制度体系列表VO")
public class ComSecProRegVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("制度名称")
    private String fileName;

    @ApiModelProperty("主管企业id")
    private Long companyId;

    @ApiModelProperty("主管企业名称")
    private String companyName;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("文件类型")
    private Integer fileType;

    @ApiModelProperty("文件类型名称")
    private String fileTypeName;

    @ApiModelProperty("文件ID")
    private Long fileId;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;
}
