package com.ningdatech.carapi.company.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname CompanySecurityGovernment
 * @Description
 * @Date 2023/5/23 16:23
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "CompanySecurityGovernment", description = "企业管理机构")
public class CompanySecurityGovernmentVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("企业id")
    private String companyName;

    @ApiModelProperty("文件性质")
    private String docNature;

    @ApiModelProperty("部门名称")
    private String departmentName;

    @ApiModelProperty("文件")
    private String file;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;
}
