package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyCreditReward;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.CompanyCreditRewardPageParam;

/**
 * <p>
 * 政府/行业嘉奖 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanyCreditRewardService extends IService<NdCompanyCreditReward> {

    /**
     * 获取嘉奖列表
     *
     * @param param
     * @return 嘉奖列表
     */
    Page<NdCompanyCreditReward> getCreditRewardList(CompanyCreditRewardPageParam param);

    Boolean delete(Long id);
}
