package com.ningdatech.carapi.datascope.aop;

import com.ningdatech.carapi.datascope.contants.LambdaDataScopeTypeEnum;

import java.lang.annotation.*;

/**
 * @Classname LambdaDataScope
 * @Description
 * @Date 2022/11/11 15:34
 * @Created by PoffyZhang
 */

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LambdaDataScope {
    LambdaDataScopeTypeEnum type() default LambdaDataScopeTypeEnum.ALL;

    //wrapper的下标位置 如果是分页的话 可能是第二个
    int wrapperIndex() default 0;
}
