package com.ningdatech.carapi.driver.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author liuxinxin
 * @date 2022/10/14 上午11:14
 * 驾驶员材料审核状态
 */
@AllArgsConstructor
@Getter
public enum DriverMaterialAuditStatus {

    /**
     * 材料初审中
     */
    IN_PRELIMINARY_TRIAL,

    /**
     * 材料初审通过
     */
    PRELIMINARY_TRIAL_PASS,

    /**
     * 材料初审驳回
     */
    PRELIMINARY_TRIAL_REJECTION,

    /**
     * 材料复核中
     */
    IN_REVIEWING,

    /**
     * 材料复核通过
     */
    REVIEWING_PASS,

    /**
     * 材料复核驳回
     */
    REVIEWING_REJECTION
}
