package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-31
 */
@Data
@TableName("nd_training_bonus_record")
@ApiModel(value = "TrainingBonusRecord对象", description = "")
public class TrainingBonusRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("继续教育培训奖励表")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("材料类型")
    private String materialType;

    @ApiModelProperty("培训材料id")
    private Long trainingMaterialId;

    @ApiModelProperty("培训组织id")
    private Long trainingOrganizationId;

    @ApiModelProperty("行为类型")
    private String behaviorType;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("公司ID")
    private Long companyId;
}
