package com.ningdatech.carapi.homepage.entity.dto;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.ningdatech.carapi.driver.entity.DriverAbnormalBehaviorAnalysisPageParamDTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @description
 * @since 2022/11/11 11:48
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("首页驾驶员异常行为分页参数DTO")
public class HomepageAbnormalBehaviorPageParamDTO extends DriverAbnormalBehaviorAnalysisPageParamDTO implements Serializable {

    private static final long serialVersionUID = -7248039494876621922L;
    @ApiModelProperty("区域ID")
    private Long regionId;
    private List<Long> regionIds;

    @ApiModelProperty("时间筛选条件")
    private String timeFlag;

    @ApiModelProperty("筛选当前数据开始时间")
    private LocalDateTime queryStartTime;

    @ApiModelProperty("筛选当前数据结束时间")
    private LocalDateTime queryEndTime;

    private String dataScopeSql;

}
