package com.ningdatech.carapi.homepage.entity.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author CMM
 * @description
 * @since 2022/11/11 09:00
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("首页车辆审核")
public class HomepageVehicleAuditPageQuery extends PagePo implements Serializable {
    private static final long serialVersionUID = 255142541885848486L;

    @ApiModelProperty(value = "车牌号")
    private String carPlate;

    @ApiModelProperty(value = "所属企业名")
    private String companyName;

    @ApiModelProperty(value = "所属区域id")
    private Long regionId;

    @ApiModelProperty(value = "企业联系人")
    private String driverName;

    @ApiModelProperty(value = "企业联系人电话")
    private String mobileNum;

}
