package com.ningdatech.carapi.industry.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.Data;

/**
 * <p>
 * LabAcceptanceCertificateImportDto
 * </p>
 *
 * @author WendyYang
 * @since 21:34 2022/11/4
 */
@Data
public class LabAcceptanceCertificateExportDto {

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("证书编号")
    private String certificateNo;

    @ExcelProperty("备案项目")
    private String recordItem;

    @ExcelProperty("执行标准")
    private String standard;

    @ExcelProperty("检测项目")
    private String testItem;

    @ExcelProperty("发证机关")
    private String conferOrg;

    @ExcelProperty("发证日期")
    private String conferDate;

    @ExcelProperty("有效日期")
    private String validDate;

}
