package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.Data;

/**
 * <p>
 * LabWorkerCertificateImportDto
 * </p>
 *
 * @author WendyYang
 * @since 21:34 2022/11/4
 */
@Data
public class LabWorkerCertificateExportDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("姓名")
    private String userName;

    @ExcelProperty("性别")
    private String gender;

    @ExcelProperty("身份证号码")
    private String idCard;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("证书编号")
    private String certificateNo;

    @ExcelProperty("发证时间")
    private String conferDate;

    @ExcelProperty("有效期")
    private String validDate;

    @ExcelProperty("备注")
    private String remark;

}
