package com.ningdatech.carapi.industry.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author CMM
 * @description
 * @since 2022/11/29 15:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("换证申请审核")
public class LabWorkerCertificateAuditReq  implements Serializable {
    private static final long serialVersionUID = -3678789250665879763L;
    @ApiModelProperty(value = "ID",required = true)
    @NotNull(message = "ID不能为空!")
    private Integer id;

    @ApiModelProperty("审核状态 0 待审核 1 审核通过")
    @NotNull(message = "审核状态不能为空!")
    private Integer auditStatus;
}
