package com.ningdatech.carapi.industry.model.vo;

import java.time.LocalDate;
import java.util.List;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * MortarEnterpriseFilingCertificateChangeVO
 * </p>
 *
 * @author WendyYang
 * @since 21:34 2022/11/8
 */
@Data
public class MortarEnterpriseFilingCertificateChangeVO {

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("企业")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("区域信息")
    private List<RegionDTO> regions;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("备案项目")
    private String recordItem;

    @ApiModelProperty("发证机关")
    private String conferOrg;

    @ApiModelProperty("发证时间")
    private LocalDate conferDate;

    @ApiModelProperty("申请事项")
    private String applicationItem;

    @ApiModelProperty("申请原因")
    private String applicationReason;

    @ApiModelProperty("换证时间")
    private LocalDate replaceDate;

}
