package com.ningdatech.carapi.industry.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author CMM
 * @description
 * @since 2022/11/26 17:20
 */
@Data
@ApiModel(value = "SafetyEquipmentInstallUseCertificateOperationVO", description = "安全设备安装使用证书操作信息")
public class SafetyEquipmentInstallUseCertificateOperationVO implements Serializable {

    private static final long serialVersionUID = -8673410031588377038L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    @ExcelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    @ExcelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    @ExcelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司ID")
    @ExcelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    @ExcelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型")
    @ExcelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    @ExcelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("终端运营商")
    @ExcelProperty("终端运营商")
    private String endOperator;

    @ApiModelProperty("年检记录")
    @ExcelProperty("年检记录")
    private String annualInspectionRecords;

    @ApiModelProperty("安装凭证")
    @ExcelProperty("安装凭证")
    private String installCertificate;

    @ApiModelProperty("发证日期")
    @ExcelProperty("发证日期")
    private LocalDateTime issueDate;


}
