package com.ningdatech.carapi.irs.model.dto.irs;

import lombok.Data;

import java.util.List;

/**
 * <p>
 * irs接口返回数据格式
 * </p>
 *
 * @author WendyYang
 * @since 2023/5/16
 **/
@Data
public class ResponseDataDTO<T> {

    private String code;

    private String msg;

    private T data;

    private List<T> datas;

    private int dataCount;

    public boolean succeed() {
        return "00".equals(code);
    }

}