package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("中转库进出量数据上报详情VO")
public class ResBulkCementTransferDataQueryDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("中转库进出量数据关联集合Map")
    private Map<String, Object> bulkCementTransferDataMap;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("备注")
    private String remark;
}
