package com.ningdatech.carapi.safe.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.safe.entity.NdVehicleViolation;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface INdVehicleViolationService extends IService<NdVehicleViolation> {
    Long countStatistics(List<Long> regionIds, LocalDateTime start, LocalDateTime end);

    List<NdVehicleViolation> pageDataScope(Page<NdVehicleViolation> page, LambdaQueryWrapper<NdVehicleViolation> wrapper);
}
