package com.ningdatech.carapi.scheduler.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author CMM
 * @description
 * @since 2022/12/07 15:19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GpsData {
    @ApiModelProperty("高度")
    private BigDecimal altitude;

    @ApiModelProperty("方向")
    private BigDecimal direction;

    @ApiModelProperty("纬度")
    private BigDecimal latitude;

    @ApiModelProperty("精度")
    private BigDecimal longitude;

    @ApiModelProperty("速度")
    private BigDecimal speed;
}
