package com.ningdatech.carapi.sys.entity.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author liuxinxin
 * @date 2022/10/15 下午2:37
 */
@AllArgsConstructor
@Getter
public enum MetaApplyStatusEnum {

    /**
     * 材料初审中
     */
    FIRST_TRIAL_UNDER_REVIEW,

    /**
     * 材料复核中
     */
    REEXAMINATION_UNDER_REVIEW,


    /**
     * 材料初审通过
     */
    FIRST_TRIAL_APPROVED,

    /**
     * 材料复核通过
     */
    REEXAMINATION_APPROVED,

    /**
     * 材料初审驳回
     */
    FIRST_TRIAL_APPROVAL_REJECTION,

    /**
     * 材料复核驳回
     */
    REEXAMINATION_APPROVAL_REJECTION

}
