package com.ningdatech.carapi.sys.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * RegionTreeReq
 * </p>
 *
 * @author WendyYang
 * @since 20:12 2022/10/31
 */
@Data
public class RegionTreeReq {

    /**
     * 是否返回公司信息
     */
    private Boolean withCompany = false;

    /**
     * 是否返回车牌号信息
     */
    private Boolean withCarNo = false;

    private Boolean withDevice = false;

    @ApiModelProperty("所选区域Id")
    private  Long regionId;

    @ApiModelProperty("所选区域Id列表")
    private List<Long> regionIdList;

    @ApiModelProperty("查询车牌号")
    private String carPlate;
}
