package com.ningdatech.carapi.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author LiuXinXin
 * @since 2022-09-30
 */
@TableName("nd_user_auth")
@Data
public class NdUserAuth implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long userId;

    private String authType;

    private String identifier;

    private String credential;

    private Boolean isAvailable;

}
