package com.ningdatech.carapi.analysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 行业标准
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-15
 */
@Data
@TableName("nd_industry_standards")
@ApiModel(value = "IndustryStandards对象", description = "")
public class IndustryStandards implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    private String name;

    @ApiModelProperty("标准类型")
    private Integer type;

    @ApiModelProperty("文件ID")
    private Long fileId;

    @ApiModelProperty("下载次数")
    private Integer downCount;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;
}
