package com.ningdatech.carapi.analysis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.analysis.entity.WarnAnalysisCar;
import com.ningdatech.carapi.analysis.entity.req.WarnAnalysisListReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 车辆综合预警分析 Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
public interface WarnAnalysisCarMapper extends BaseMapper<WarnAnalysisCar> {

    Integer selectVehiclesNum(@Param("companyName") String companyName);

    Page<WarnAnalysisCar> pageCarAnalysis(Page<WarnAnalysisCar> page, @Param("param") WarnAnalysisListReq req);

    List<WarnAnalysisCar> listCarAnalysis(@Param("param") WarnAnalysisListReq req);

    Integer saveBatchXml(@Param("singleList") List<WarnAnalysisCar> singleList);
}
