package com.ningdatech.carapi.car.monitor.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author PoffyZhang
 * @date 2022/11/03 下午2:10
 */

@Data
@ApiModel(description = "安全监控分页PARAM DTO")
public class SecurityMonitorPageParamDTO extends PagePo implements Serializable {

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("事件报警类型ID")
    private String alarmType;

    @ApiModelProperty("车辆类型ID")
    private Long vehicleType;
}
