package com.ningdatech.carapi.car.position.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/8 下午2:10
 */

@Data
@ApiModel(description = "实时监控统计")
public class ResRealTimeMonitorStatisticsVO {

    @ApiModelProperty("车辆总数")
    private Integer vehiclesTotalCount;

    @ApiModelProperty("在线数")
    private Integer vehiclesOnlineCount;

    @ApiModelProperty("离线数")
    private Integer vehiclesOfflineCount;

    @ApiModelProperty("今日累计在线数")
    private Integer todayVehiclesAccumulatedOnlineCount;

}
