package com.ningdatech.carapi.car.rpt.model.dto;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.basic.util.NdDateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author CMM
 * @Classname RptDailyOverspeedSpecialVehiclesParamDTO
 * @Description
 * @Date 2022/11/8 17:06
 * @Created by PoffyZhang
 */
@Data
public class RptMonthSpecialOfflineParamDTO extends PagePo implements Serializable {

    @ApiModelProperty("起始时间")
    @NotNull(message = "请选择起始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    @NotNull(message = "请选择结束时间")
    private String endTime;

    @ApiModelProperty("不上线天数")
    private Integer offlineDays;

    private String dataScopeSql;

    private String tableName = "nd_vehicle_online_status_hour_" + NdDateUtils.format(new Date(),"yyyy_MM");
}
