package com.ningdatech.carapi.car.rpt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherSpecialOverspeed;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherSpecialOverspeedPO;

import java.util.List;

/**
 * <p>
 * 专用车辆超速记录 其它报表 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface IRptOtherSpecialOverspeedService extends IService<RptOtherSpecialOverspeed> {

    List<RptOtherSpecialOverspeedPO> report(RptOtherParamDTO param);

    Page<RptOtherSpecialOverspeedPO> reportPage(Page<RptOtherSpecialOverspeedPO> page, RptOtherParamDTO param);
}
