package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.car.rpt.entity.RptMonthOverspeedCompany;
import com.ningdatech.carapi.car.rpt.mapper.RptMonthOverspeedCompanyMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthOverspeedCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthOverspeedCompanyPO;
import com.ningdatech.carapi.car.rpt.service.IRptMonthOverspeedCompanyService;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 超速企业情况月报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptMonthOverspeedCompanyServiceImpl extends ServiceImpl<RptMonthOverspeedCompanyMapper, RptMonthOverspeedCompany> implements IRptMonthOverspeedCompanyService {

    private final RptMonthOverspeedCompanyMapper mapper;

    @Override
    @XmlDataScope
    public List<RptMonthOverspeedCompanyPO> report(RptMonthOverspeedCompanyParamDTO param) {
        return mapper.report(param);
    }
}
