package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 安全生产制度执行
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_security_product_execute")
@Data
public class NdCompanySecurityProductExecute implements Serializable {

    private static final long serialVersionUID = -1721410303272349639L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 通报名称
     */
    private String name;

    /**
     * 区域id
     */
    private Long regionId;

    private Long companyId;

    /**
     * 文件地址
     */
    private String filePath;

    /**
     * 文件类型
     */
    private Integer fileType;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private Timestamp createOn;

    /**
     * 更新时间
     */
    private Timestamp updateOn;
}
