package com.ningdatech.carapi.company.entity.dto;

import lombok.Data;

import java.sql.Timestamp;

/**
 * @description: 质量通报
 * @author: liushuai
 * @date: 2022/10/10 16:03
 */
@Data
public class ResQualityManageDTO {
    private Long id;
    private Long regionId;
    private String regionName;
    /**
     * 通报年月
     */
    private Timestamp fileTime;
    /**
     * 文件地址
     */
    private String filePath;
    /**
     * 下载次数
     */
    private Integer downloadCount;
    /**
     * 文件名称
     */
    private String fileName;
}
