package com.ningdatech.carapi.company.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname CompanySecurityCommitment
 * @Description
 * @Date 2023/5/23 16:23
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "CompanySecurityCommitment", description = "企业 承诺书")
public class CompanySecurityCommitmentVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("企业id")
    private String companyName;

    @ApiModelProperty("承诺对象")
    private String commitmentTarget;

    @ApiModelProperty("承诺人")
    private String promisee;

    @ApiModelProperty("文件")
    private String file;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;
}
