package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.CompanySecurityCommitment;
import com.ningdatech.carapi.company.entity.dto.CompanySecurityCommitmentParam;

/**
 * <p>
 * 安全 承诺书 服务类
 * </p>
 *
 * @author zpf
 * @since 2023-05-23
 */
public interface ICompanySecurityCommitmentService extends IService<CompanySecurityCommitment> {

    Page<CompanySecurityCommitment> pageDataScope(Page<CompanySecurityCommitment> page, LambdaQueryWrapper<CompanySecurityCommitment> wrapper, CompanySecurityCommitmentParam param);

    void deleteById(Long id);
}
