package com.ningdatech.carapi.company.service;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.CompanySecurityGovernment;
import com.ningdatech.carapi.company.entity.dto.CompanySecurityCommitmentParam;

/**
 * <p>
 * 安全 管理机构 服务类
 * </p>
 *
 * @author zpf
 * @since 2023-05-23
 */
public interface ICompanySecurityGovernmentService extends IService<CompanySecurityGovernment> {

    Page<CompanySecurityGovernment> pageDataScope(Page<CompanySecurityGovernment> page, LambdaQueryWrapper<CompanySecurityGovernment> wrapper, CompanySecurityCommitmentParam param);

    List<CompanySecurityGovernment> dataScopeList(LambdaQueryWrapper<CompanySecurityGovernment> wrapper, CompanySecurityCommitmentParam param);

    void deleteById(Long id);
}
