package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyCreditInside;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.CompanyCreditInsidePageParam;

/**
 * <p>
 * 内部/联合检查 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanyCreditInsideService extends IService<NdCompanyCreditInside> {
    /**
     * 获取列表
     * @param param
     * @return 分页信息
     */
    Page<NdCompanyCreditInside> getList(CompanyCreditInsidePageParam param);

    Boolean delete(Long id);
}
