package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author CMM
 * @description
 * @since 2022/12/14 17:29
 */
@Data
@TableName("nd_driver_abnormal_behavior_processing_mode")
public class BehaviorAnalysisProcessingMode implements Serializable {

    private static final long serialVersionUID = 5422041381526432689L;

    @ApiModelProperty("处理方式ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("处理方式名称")
    private String processingModeName;
}
