package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author LiuXinXin
 * @since 2022-10-09
 */
@Data
@TableName("nd_driver_black_list")
public class DriverBlackList implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 驾驶员ID
     */
    private Long driverId;

    /**
     * 驾驶员姓名
     */
    private String driverName;

    /**
     * 年度
     */
    private String year;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    /**
     * 超速累计次数
     */
    private Long accumulatedOverspeedCnt;

    /**
     * 出险累计次数
     */
    private Long accumulatedAccidentsCnt;

    /**
     * 违章累计次数
     */
    private Long accumulatedViolationsCnt;

    /**
     * 区域ID
     */
    private Long regionId;

    /**
     * 公司ID
     */
    private Long companyId;

    /**
     * 公司名
     */
    private String companyName;

    /**
     * 累计伤人次数
     */
    private Long accumulatedHurtCnt;

    /**
     * 累计亡人次数
     */
    private Long accumulatedDeathCnt;
}
