package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author LiuXinXin
 * @since 2022-10-09
 */
@TableName("nd_driver_training_materials")
@Data
public class DriverTrainingMaterials implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * oss文件id
     */
    private Long fileId;

    private String fileName;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

}
