package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-11-15
 */
@Data
@TableName("nd_star_manage")
@ApiModel(value = "StarManage对象", description = "")
public class StarManage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("受伤人数")
    private Integer injuredCnt;

    @ApiModelProperty("事故次数")
    private Integer accidentsCnt;

    @ApiModelProperty("出险次数")
    private Integer insuranceCnt;

    @ApiModelProperty("死亡人数")
    private Integer deathCnt;

    @ApiModelProperty("当前星级")
    private Double currentStar;

    @ApiModelProperty("扣除星级")
    private Double deductStar;

    @ApiModelProperty("当前分数")
    private Integer currentScore;

}
