package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-22
 */
@Data
@TableName("nd_training_organization_material")
@ApiModel(value = "TrainingOrganizationMaterial对象", description = "")
public class TrainingOrganizationMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    @ApiModelProperty("培训组织id")
    private Long trainingOrganizationId;

    @ApiModelProperty("培训材料id")
    private Long trainingMaterialId;

    @ApiModelProperty("培训材料类型")
    private String materialType;

}
