package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.carapi.driver.constant.DriverStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/10/9 上午10:43
 */
@Data
@ApiModel(description = "驾驶员信息档案查询请求")
public class ReqArchivalInfoSearchPO extends PagePo {

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("企业")
    private String companyName;

    @ApiModelProperty("区域信息id")
    private Long regionId;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("驾驶员状态：入职/离职")
    private DriverStatusEnum driverStatus;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("创建开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("创建结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("培训类型")
    private String trainingRegistrationType;

}
