package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2022/10/9 下午1:53
 */
@Data
@ApiModel(description = "黑名单查询请求")
public class ReqDriverBlackListSearchPO extends PagePo {

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业")
    private String companyName;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("年度")
    @NotBlank(message = "年度不能为空")
    private String year;
}
