package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.carapi.driver.constant.ExamQualifiedEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/10/26 下午5:20
 */
@ApiModel("培训考试记录筛选")
@Data
public class ReqListExamRecordPO extends PagePo {

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("所属企业")
    private String companyName;

    @ApiModelProperty("考试结果")
    private ExamQualifiedEnum isQualified;

    @ApiModelProperty("考试开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("考试结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("所属区域id")
    private Long regionId;

}
