package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.carapi.driver.constant.MaterialTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/9 下午3:36
 */
@Data
@ApiModel(description = "驾驶员培训材料分页查询入参")
public class ReqTrainingMaterialListPO extends PagePo {
    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("材料类型")
    private MaterialTypeEnum materialType;

    @ApiModelProperty("所属区域")
    private Long regionId;
}
