package com.ningdatech.carapi.driver.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/10/24 上午11:01
 */
@ApiModel("上传考试结果PO")
@Data
public class ReqUploadExamResultPO {

    @NotNull(message = "培训组织id 不能为空")
    @ApiModelProperty("培训组织id")
    private Long trainingOrganizationId;

    @NotNull(message = "驾驶员id 不能为空")
    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @NotNull(message = "考试分数 不能为空")
    @ApiModelProperty("考试分数")
    private Integer score;
}
