package com.ningdatech.carapi.driver.model.query;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 培训组织培训人员查询参数
 *
 * @author CMM
 * @since 2023/02/21 17:17
 */
@Data
public class TrainingOrgTrainersQuery extends PagePo {

    @ApiModelProperty("培训组织id")
    private Long trainingOrganizationId;

    @ApiModelProperty("培训类型")
    @NotNull(message = "请选择培训类型!")
    private String trainingRegistrationType;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("企业")
    private String companyName;
}
