package com.ningdatech.carapi.driver.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.model.FileBasicInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author CMM
 * @description
 * @since 2022/12/07 11:09
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DriverDailyAlarmEvent {

    @ApiModelProperty("告警ID")
    private Integer id;

    @ApiModelProperty("告警类型")
    private Integer alarmType;

    @ApiModelProperty("告警类型名称")
    private String alarmTypeName;

    @ApiModelProperty("告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alarmTime;

    @ApiModelProperty("告警附件")
    private List<FileBasicInfo> alarmAppendix;
}
