package com.ningdatech.carapi.driver.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/11/3 下午4:53
 */
@Data
@ApiModel("驾驶员分数记录")
public class ResDriverScoreRecordListVO {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("操作分数")
    private Integer operateScore;

    @ApiModelProperty("操作类型 加分减分")
    private String operateType;

    @ApiModelProperty("加分减分原因")
    private String operateReason;

}
