package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.driver.constant.StarManageDisplayTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/11/15 下午2:18
 */

@Data
@ApiModel("星级管理展示类")
public class StarManageDisplay {

    @ApiModelProperty("展示名称")
    private String displayName;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("展示字段类型")
    private StarManageDisplayTypeEnum type;
}

