package com.ningdatech.carapi.homepage.service;

import com.ningdatech.carapi.car.datascreen.model.dto.DataScreenParam;
import com.ningdatech.carapi.car.vehicle.model.NdVehicleBaseInfo;
import com.ningdatech.carapi.homepage.entity.dto.HomepageAbnormalBehaviorPageParamDTO;
import com.ningdatech.carapi.homepage.entity.model.OnlineNumCnt;
import com.ningdatech.carapi.homepage.entity.po.DriverAbnormalBehaviorNumPO;
import com.ningdatech.carapi.homepage.entity.po.VehicleNumPO;

import java.util.List;

/**
 * @author CMM
 * @since 2022/12/08 15:55
 */
public interface IHomepageService {

    VehicleNumPO vehicleNum(DataScreenParam param);

    Integer searchAccumulativeOnlineNum(DataScreenParam param) ;

    DriverAbnormalBehaviorNumPO driverAbnormalBehaviorNum(HomepageAbnormalBehaviorPageParamDTO param);

    List<OnlineNumCnt> getOnlineNumCnt(List<NdVehicleBaseInfo> vehicleBaseInfos);
}
