package com.ningdatech.carapi.industry.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-01-04
 */
@TableName("nd_operator_index_score_info")
@Data
@ApiModel(value = "OperatorIndexScoreInfo对象", description = "")
public class OperatorIndexScoreInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("运营商考核指标")
    private Integer operatorScoreIndex;

    @ApiModelProperty("运营商考核指标名称")
    private String operatorScoreIndexName;

    @ApiModelProperty("运营商考核指标分数")
    private Integer operatorScoreIndexScore;

}
