package com.ningdatech.carapi.industry.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @author CMM
 * @since 2023/01/04 10:14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "OperatorAssessmentDTO", description = "运营商考核分数查询")
public class OperatorAssessmentDTO extends PagePo {

    @ApiModelProperty(value = "运营商id")
    @NotNull(message = "运营商ID不能为空!")
    private Long id;

    @ApiModelProperty(value = "季度")
    @NotNull(message = "请选择季度!")
    private Integer quarter;

    @ApiModelProperty(value = "年份")
    @NotNull(message = "请选择年份!")
    private String year;
}
