package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("砂浆供应量相关数据详情VO")
public class ResMortarSupplyRelatedDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("二类指导目标(万吨)")
    private BigDecimal twoCategoryGuidGoal;

    @ApiModelProperty("普通干混砂浆生产企业数量(个)")
    private Integer dryMixedMortarProductionCompanyNum;

    @ApiModelProperty("普通干混砂浆生产总能力(万吨)")
    private BigDecimal dryMixedMortarProductiveCapacity;

    @ApiModelProperty("普通干混砂浆散装能力(万吨)")
    private BigDecimal dryMixedMortarBulkCapacity;
}
