package com.ningdatech.carapi.safe.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.safe.entity.NdVehicleAccidentAnalysis;
import com.ningdatech.carapi.safe.model.dto.AccidentPageQuery;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface INdVehicleAccidentAnalysisService extends IService<NdVehicleAccidentAnalysis> {

    Page<NdVehicleAccidentAnalysis> pageAnalysis(Page<NdVehicleAccidentAnalysis> page, AccidentPageQuery accidentPageQuery);

    Page<NdVehicleAccidentAnalysis> pageAnalysisOpen(Page<NdVehicleAccidentAnalysis> page, AccidentPageQuery accidentPageQuery);

}


