package com.ningdatech.carapi.scheduler.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @return
 * @author CMM
 * @since 2023/05/29 15:54
 */
@Data
public class OverSpeedGpsDataDTO {

    @ApiModelProperty("GPS数据ID")
    private Long id;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("经度")
    private BigDecimal longitude;

    @ApiModelProperty("纬度")
    private BigDecimal latitude;

    @ApiModelProperty("速度")
    private BigDecimal speed;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("超速时间")
    private LocalDateTime overSpeedTime;

    @ApiModelProperty("运营商ID")
    private String operatorId;
}
