package com.ningdatech.carapi.sys.entity.req;

import com.ningdatech.carapi.sys.entity.BonusPointsRule;
import com.ningdatech.carapi.sys.entity.ScoreDeductionRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/24 下午3:01
 */
@Data
@ApiModel("赋码规则VO")
public class ReqCodingRulePO {

    @ApiModelProperty("加分规则")
    public BonusPointsRule bonusPointsRule;

    @ApiModelProperty("减分规则")
    public List<ScoreDeductionRule> scoreDeductionRuleList;
}
